# LockableTwoRefCounts Class Reference
[StrongPtr Ownership policies]

`#include <StrongPtr.h>`

## Detailed Description

This implementation of StrongPtr's OwnershipPolicy uses a pointer to a shared instance of LockableTwoRefCountInfo. It behaves very similarly to TwoRefCounts, except that it provides thread-safety. Some functions are trivial enough to be inline, while others are implemented elsewhere.

Note:
  This class is not designed for use with a single-threaded model. Tests using a single-threaded model will not run properly, but tests in a multi-threaded model with either class-level-locking or object-level-locking do run properly.

The documentation for this class was generated from the following file:

- StrongPtr.h